Package org.apache.tiles.web.jsp.taglib

# Class InsertDefinitionTag

java.lang.Object
jakarta.servlet.jsp.tagext.SimpleTagSupport
org.apache.tiles.web.jsp.taglib.InsertDefinitionTag

All Implemented Interfaces:
  `jakarta.servlet.jsp.tagext.JspTag`, `jakarta.servlet.jsp.tagext.SimpleTag`

public class InsertDefinitionTag extends jakarta.servlet.jsp.tagext.SimpleTagSupport

Insert a definition.

Insert a definition with the possibility to override and specify parameters (called attributes). A definition can be seen as a (partially or totally) filled template that can override or complete attribute values. <tiles:insertDefinition> allows to define these attributes and pass them to the inserted jsp page, called template. Attributes are defined using nested tag <tiles:putAttribute> or <tiles:putListAttribute>.

You must specify name tag attribute, for inserting a definition from definitions factory.

Example :

         <tiles:insertDefinition name=".my.tiles.defininition flush="true">
             <tiles:putAttribute name="title" value="My first page" />
             <tiles:putAttribute name="header" value="/common/header.jsp" />
             <tiles:putAttribute name="footer" value="/common/footer.jsp" />
             <tiles:putAttribute name="menu" value="/basic/menu.jsp" />
             <tiles:putAttribute name="body" value="/basic/helloBody.jsp" />
         </tiles:insertDefinition>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InsertDefinitionTag()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doTag()`
  `String`
  `getName()`
  Getter for name property.
  `String`
  `getPreparer()`
  Getter for preparer property.
  `String`
  `getRole()`
  Getter for role property.
  `String`
  `getTemplate()`
  Getter for template property.
  `String`
  `getTemplateExpression()`
  Getter for templateExpression property.
  `String`
  `getTemplateType()`
  Getter for templateType property.
  `boolean`
  `isFlush()`
  Getter for flush property.
  `void`
  `setFlush(boolean flush)`
  Setter for flush property.
  `void`
  `setName(String definitionName)`
  Setter for name property.
  `void`
  `setPreparer(String preparer)`
  Setter for preparer property.
  `void`
  `setRole(String role)`
  Setter for role property.
  `void`
  `setTemplate(String template)`
  Setter for template property.
  `void`
  `setTemplateExpression(String templateExpression)`
  Setter for templateExpression property.
  `void`
  `setTemplateType(String templateType)`
  Setter for templateType property.

  ### Methods inherited from class jakarta.servlet.jsp.tagext.SimpleTagSupport

  `findAncestorWithClass, getJspBody, getJspContext, getParent, setJspBody, setJspContext, setParent`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InsertDefinitionTag

    public InsertDefinitionTag()

- ## Method Details

  - ### getName

    public String getName()
    Getter for name property.
    Returns:
      The name of the definition to render.

  - ### setName

    public void setName(String definitionName)
    Setter for name property.
    Parameters:
      `definitionName` - The name of the definition to render.

  - ### getTemplate

    public String getTemplate()
    Getter for template property.
    Returns:
      If specified, this template will be used instead of the one used by the definition.

  - ### setTemplate

    public void setTemplate(String template)
    Setter for template property.
    Parameters:
      `template` - If specified, this template will be used instead of the one used by the definition.

  - ### getTemplateType

    public String getTemplateType()
    Getter for templateType property.
    Returns:
      The type of the template attribute.

  - ### setTemplateType

    public void setTemplateType(String templateType)
    Setter for templateType property.
    Parameters:
      `templateType` - The type of the template attribute.

  - ### getTemplateExpression

    public String getTemplateExpression()
    Getter for templateExpression property.
    Returns:
      The expression to evaluate to get the value of the template.

  - ### setTemplateExpression

    public void setTemplateExpression(String templateExpression)
    Setter for templateExpression property.
    Parameters:
      `templateExpression` - The expression to evaluate to get the value of the template.

  - ### getRole

    public String getRole()
    Getter for role property.
    Returns:
      A comma-separated list of roles. If present, the definition will be rendered only if the current user belongs to one of the roles.

  - ### setRole

    public void setRole(String role)
    Setter for role property.
    Parameters:
      `role` - A comma-separated list of roles. If present, the definition will be rendered only if the current user belongs to one of the roles.

  - ### getPreparer

    public String getPreparer()
    Getter for preparer property.
    Returns:
      The preparer to use to invoke before the definition is rendered. If specified, it overrides the preparer specified in the definition itself.

  - ### setPreparer

    public void setPreparer(String preparer)
    Setter for preparer property.
    Parameters:
      `preparer` - The preparer to use to invoke before the definition is rendered. If specified, it overrides the preparer specified in the definition itself.

  - ### isFlush

    public boolean isFlush()
    Getter for flush property.
    Returns:
      If true, the response will be flushed after the insert.

  - ### setFlush

    public void setFlush(boolean flush)
    Setter for flush property.
    Parameters:
      `flush` - If true, the response will be flushed after the insert.

  - ### doTag

    public void doTag() throws jakarta.servlet.jsp.JspException, IOException
    Specified by:
      `doTag` in interface `jakarta.servlet.jsp.tagext.SimpleTag`
    Overrides:
      `doTag` in class `jakarta.servlet.jsp.tagext.SimpleTagSupport`
    Throws:
      `jakarta.servlet.jsp.JspException`
      `IOException`